Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::ConstructionPolicy Interface Reference

`#include <DomainC.h>`

Inheritance diagram for CORBA::ConstructionPolicy:

[legend]
Collaboration diagram for CORBA::ConstructionPolicy:

[legend]
List of all members.

## Public Types
typedef ConstructionPolicy_ptr | _ptr_type
typedef ConstructionPolicy_var | _var_type
## Public Methods
void | make_domain_manager (in InterfaceDef object_type, in boolean constr_policy)
virtual void | make_domain_manager (CORBA::InterfaceDef_ptr object_type, CORBA::Boolean constr_policy ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const CORBA::Char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
ConstructionPolicy_ptr | _duplicate (ConstructionPolicy_ptr obj)
ConstructionPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ConstructionPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ConstructionPolicy_ptr | _nil (void)
| Return a NULL object. More...
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| ConstructionPolicy (int collocated=0)
virtual void | CORBA_ConstructionPolicy_setup_collocation (int collocated)
| ConstructionPolicy (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0)
virtual | ~ConstructionPolicy (void)
## Private Methods
| ConstructionPolicy (const ConstructionPolicy &)
void | operator= (const ConstructionPolicy &)
## Private Attributes
_TAO_ConstructionPolicy_Proxy_Broker * | the_TAO_ConstructionPolicy_Proxy_Broker_
## Friends
class | _TAO_ConstructionPolicy_Remote_Proxy_Impl
class | _TAO_ConstructionPolicy_ThruPOA_Proxy_Impl
class | _TAO_ConstructionPolicy_Direct_Proxy_Impl

## Member Typedef Documentation

typedef ConstructionPolicy_ptr CORBA::ConstructionPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ConstructionPolicy_var CORBA::ConstructionPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

CORBA::ConstructionPolicy::ConstructionPolicy | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE CORBA::ConstructionPolicy::ConstructionPolicy | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0
| ) | `[protected]`

CORBA::ConstructionPolicy::~ConstructionPolicy | ( | void |  | ) | `[protected, virtual]`

CORBA::ConstructionPolicy::ConstructionPolicy | ( | const ConstructionPolicy & |  | ) | `[private]`

## Member Function Documentation

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_duplicate | ( | ConstructionPolicy_ptr | obj | ) | `[static]`

const char * CORBA::ConstructionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Policy.

virtual CORBA::Boolean CORBA::ConstructionPolicy::_is_a | ( | const CORBA::Char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

| Reimplemented from CORBA::Policy.

ConstructionPolicy_ptr CORBA::ConstructionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Policy.

void CORBA::ConstructionPolicy::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Policy.

void * CORBA::ConstructionPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA::Policy.

CORBA::ConstructionPolicy_ptr CORBA::ConstructionPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from CORBA::Policy.

void CORBA::ConstructionPolicy::CORBA_ConstructionPolicy_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

void CORBA::ConstructionPolicy::make_domain_manager | ( | CORBA::InterfaceDef_ptr | object_type,
|  | CORBA::Boolean constr_policy | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[virtual]`

void CORBA::ConstructionPolicy::make_domain_manager | ( | in InterfaceDef | object_type,
|  | in boolean | constr_policy
| ) |

void CORBA::ConstructionPolicy::operator= | ( | const ConstructionPolicy & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class _TAO_ConstructionPolicy_Direct_Proxy_Impl`[friend]`

friend class _TAO_ConstructionPolicy_Remote_Proxy_Impl`[friend]`

friend class _TAO_ConstructionPolicy_ThruPOA_Proxy_Impl`[friend]`

## Member Data Documentation

int CORBA::ConstructionPolicy::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA::Policy.

_TAO_ConstructionPolicy_Proxy_Broker* CORBA::ConstructionPolicy::the_TAO_ConstructionPolicy_Proxy_Broker_`[private]`

The documentation for this interface was generated from the following files:

- Domain.pidl
- DomainC.h
- DomainC.cpp
- DomainC.i